Debian Bug report logs - #526768
freebsd-utils: [debconf_rewrite] Debconf templates and debian/control review

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sun, 3 May 2009 12:24:04 UTC

Severity: normal

Tags: patch

Fixed in version freebsd-utils/7.2-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#526768; Package freebsd-utils. (Sun, 03 May 2009 12:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 03 May 2009 12:24:07 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freebsd-utils: [debconf_rewrite] Debconf templates and debian/control review
Date: Sun, 03 May 2009 14:21:19 +0200
[Message part 1 (text/plain, inline)]
Package: freebsd-utils
Version: N/A
Severity: normal
Tags: patch

Dear Debian maintainer,

On Tuesday, April 14, 2009, I notified you of the beginning of a review process
concerning debconf templates for freebsd-utils.

The debian-l10n-english contributors have now reviewed these templates,
and the proposed changes are attached to this bug report.

Please review the suggested changes, and if you have any
objections, let me know in the next 3 days.

However, please try to avoid uploading freebsd-utils with these changes
right now.

The second phase of this process will begin on Wednesday, May 06, 2009, when I will
coordinate updates to translations of debconf templates.

The existing translators will be notified of the changes: they will
receive an updated PO file for their language.

Simultaneously, a general call for new translations will be sent to
the debian-i18n mailing list.

Both these calls for translations will request updates to be sent as
individual bug reports. That will probably trigger a lot of bug
reports against your package, but these should be easier to deal with.

The call for translation updates and new translations will run until
about Wednesday, May 27, 2009. Please avoid uploading a package with fixed or changed
debconf templates and/or translation updates in the meantime. Of
course, other changes are safe.

Please note that this is an approximative delay, which depends on my
own availability to process this work and is influenced by the fact
that I simultaneously work on many packages.

Around Thursday, May 28, 2009, I will contact you again and will send a final patch
summarizing all the updates (changes to debconf templates,
updates to debconf translations and new debconf translations).

Again, thanks for your attention and cooperation.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-1-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[patch (text/plain, attachment)]

Information stored :
Bug#526768; Package freebsd-utils. (Mon, 04 May 2009 06:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Mon, 04 May 2009 06:39:09 GMT) Full text and rfc822 format available.

Message #10 received at 526768-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Christian Perrier <bubulle@debian.org>, 526768-quiet@bugs.debian.org
Subject: Re: Bug#526768: freebsd-utils: [debconf_rewrite] Debconf templates and debian/control review
Date: Mon, 4 May 2009 09:01:41 +0200 (CEST)
> The debian-l10n-english contributors have now reviewed these templates,
> and the proposed changes are attached to this bug report.

Please note, there have been a rename of packages in mean time,
module-init-tools -> kldutils, therefore template name
and suggested command "dpkg-reconfigure __package_name__" should 
be different.

> The second phase of this process will begin on Wednesday, May 06, 2009, when I will
> coordinate updates to translations of debconf templates.
>
> The existing translators will be notified of the changes: they will
> receive an updated PO file for their language.

IMHO, it would be much better to have final template name and
final command in this stage.

Also description of kbdcontrol could be improved:

Description: command-line tool to change keyboard layout on GNU/kFreeBSD
  This package provides the original FreeBSD command to set keyboard
  layout, plus the possible FreeBSD keymaps.

or

Description: command-line tool to change keyboard layout on GNU/kFreeBSD
  This package provides the original FreeBSD command to set keyboard
  layout, plus the standard set of FreeBSD keyboard layout definition.

It fact it provides keymaps and command to load those keymaps, for content 
see http://packages.debian.org/sid/kfreebsd-i386/kbdcontrol/filelist

Petr





Information stored :
Bug#526768; Package freebsd-utils. (Mon, 04 May 2009 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 04 May 2009 17:30:04 GMT) Full text and rfc822 format available.

Message #15 received at 526768-quiet@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 526768-quiet@bugs.debian.org
Subject: Re: Bug#526768: freebsd-utils: [debconf_rewrite] Debconf templates and debian/control review
Date: Mon, 4 May 2009 16:26:17 +0200
[Message part 1 (text/plain, inline)]
Quoting Petr Salinger (Petr.Salinger@seznam.cz):
>> The debian-l10n-english contributors have now reviewed these templates,
>> and the proposed changes are attached to this bug report.
>
> Please note, there have been a rename of packages in mean time,
> module-init-tools -> kldutils, therefore template name
> and suggested command "dpkg-reconfigure __package_name__" should be 
> different.

Ah right. This was mentioned during the review and I forgot readapting
our changes to new packages. Thanks for reminding this to me.

I will rework the review to adapt it to new binary packages' names.

> Also description of kbdcontrol could be improved:
>
> Description: command-line tool to change keyboard layout on GNU/kFreeBSD
>   This package provides the original FreeBSD command to set keyboard
>   layout, plus the possible FreeBSD keymaps.
>
> or
>
> Description: command-line tool to change keyboard layout on GNU/kFreeBSD
>   This package provides the original FreeBSD command to set keyboard
>   layout, plus the standard set of FreeBSD keyboard layout definition.


The latter is interesting, yes.

[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#526768; Package freebsd-utils. (Tue, 05 May 2009 18:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 05 May 2009 18:18:02 GMT) Full text and rfc822 format available.

Message #20 received at 526768-quiet@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 526768-quiet@bugs.debian.org
Subject: Re: Bug#526768: freebsd-utils: [debconf_rewrite] Debconf templates and debian/control review
Date: Tue, 5 May 2009 20:15:48 +0200
[Message part 1 (text/plain, inline)]
Quoting Petr Salinger (Petr.Salinger@seznam.cz):

> Please note, there have been a rename of packages in mean time,
> module-init-tools -> kldutils, therefore template name
> and suggested command "dpkg-reconfigure __package_name__" should be 
> different.


Attached is the revamped patch, that uses the new binary packages'
names.


[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#526768; Package freebsd-utils. (Thu, 07 May 2009 09:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Thu, 07 May 2009 09:30:04 GMT) Full text and rfc822 format available.

Message #25 received at 526768-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Christian Perrier <bubulle@debian.org>
Cc: 526768-quiet@bugs.debian.org
Subject: Re: Bug#526768: freebsd-utils: [debconf_rewrite] Debconf templates and debian/control review
Date: Thu, 7 May 2009 11:55:12 +0200 (CEST)
Hi,

thanks for update of binary packages names.
But I still disagree with current wording of debian/control

Package: kbdcontrol
Description: command-line tool to change FreeBSD keyboard layout
 This package provides the original FreeBSD command to set keyboard
 layout and the FreeBSD possible keyboards.

Please, could you use one of

> Description: command-line tool to change keyboard layout on GNU/kFreeBSD
>   This package provides the original FreeBSD command to set keyboard
>   layout, plus the possible FreeBSD keymaps.
>
> or
>
> Description: command-line tool to change keyboard layout on GNU/kFreeBSD
>   This package provides the original FreeBSD command to set keyboard
>   layout, plus the standard set of FreeBSD keyboard layout definition.

Petr






Information stored :
Bug#526768; Package freebsd-utils. (Thu, 07 May 2009 12:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Thu, 07 May 2009 12:24:05 GMT) Full text and rfc822 format available.

Message #30 received at 526768-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Christian Perrier <bubulle@debian.org>
Cc: 526768-quiet@bugs.debian.org
Subject: Re: Bug#526768: freebsd-utils: [debconf_rewrite] Debconf templates and debian/control review
Date: Thu, 7 May 2009 14:48:16 +0200 (CEST)
Hi again,

there is one more problem with templates, the kbdcontrol.templates 
contains "Description: Keymap:" instead of "_Description: Keymap:".
As a result, this part is not in the POT file.

Please, could you send out the new template ?

Thanks

	Petr




Information stored :
Bug#526768; Package freebsd-utils. (Thu, 07 May 2009 12:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 07 May 2009 12:33:10 GMT) Full text and rfc822 format available.

Message #35 received at 526768-quiet@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 526768-quiet@bugs.debian.org
Subject: Re: Bug#526768: freebsd-utils: [debconf_rewrite] Debconf templates and debian/control review
Date: Thu, 07 May 2009 14:29:41 +0200
Petr Salinger a écrit :
> Hi again,
> 
> there is one more problem with templates, the kbdcontrol.templates
> contains "Description: Keymap:" instead of "_Description: Keymap:".
> As a result, this part is not in the POT file.
> 
> Please, could you send out the new template ?
> 
> Thanks
> 
>     Petr


Yep, will do. As well as a corrected template and probably another call
for translations..:-(




Information stored :
Bug#526768; Package freebsd-utils. (Thu, 07 May 2009 17:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 07 May 2009 17:24:05 GMT) Full text and rfc822 format available.

Message #40 received at 526768-quiet@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 526768-quiet@bugs.debian.org
Subject: Re: Bug#526768: freebsd-utils: [debconf_rewrite] Debconf templates and debian/control review
Date: Thu, 7 May 2009 17:58:29 +0200
[Message part 1 (text/plain, inline)]
Quoting Petr Salinger (Petr.Salinger@seznam.cz):
> Hi again,
>
> there is one more problem with templates, the kbdcontrol.templates  
> contains "Description: Keymap:" instead of "_Description: Keymap:".
> As a result, this part is not in the POT file.
>
> Please, could you send out the new template ?


Corrected, as well as debian/control.

New patch attached.

[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 08 May 2009 18:48:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#526768; Package freebsd-utils. (Mon, 25 May 2009 06:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 25 May 2009 06:36:02 GMT) Full text and rfc822 format available.

Message #47 received at 526768@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 526768@bugs.debian.org
Subject: freebsd-utils: General update after the debconf review process
Date: Mon, 25 May 2009 06:59:12 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Tuesday, April 14, 2009, I sent you a notification about the beginning of a review
action on debconf templates for freebsd-utils.

Then, I sent you a bug report with rewritten templates and announcing
the beginning of the second phase of this action: call for translation
updates.

Translators have been working hard and here is now the result of their efforts.

Please consider using it EVEN if you committed files to your
development tree as long as they were reported.

The attached tarball contains:

- debian/changelog with the list of changes
- debian/control with rewrites of packages' descriptions
- debian/<templates> with all the rewritten templates file(s)
- debian/po/*.po with all PO files (existing ones and new ones)

As said, please use *at least* the PO files as provided here,
preferrably over those sent by translators in their bug reports. All
of them have been checked and reformatted. In some cases, formatting
errors have been corrected.

The patch.rfr file contains a patch for the templates and control
file(s) alone.

Please note that this patch applies to the templates and control
file(s) of your package as of Tuesday, April 14, 2009. If your package was updated
in the meantime, I may have updated my reference copy....but I also
may have missed that. This is indeed why I suggested you do not
modified such files while the review process was running,
remember..:-)

It is now safe to upload a new package version with these changes.

Please notify me of your intents with regards to this. 

There is of course no hurry to update your package but feel free to
contact me in case you would need sponsoring or any other action to
fix this.



-- 


[patch.tar.gz (application/octet-stream, attachment)]
[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 25 May 2009 07:15:06 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 15 Jun 2009 22:29:47 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Mon, 15 Jun 2009 22:30:20 GMT) Full text and rfc822 format available.

Message #54 received at 526768-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 526768-close@bugs.debian.org
Subject: Bug#526768: fixed in freebsd-utils 7.2-1
Date: Mon, 15 Jun 2009 21:36:11 +0000
Source: freebsd-utils
Source-Version: 7.2-1

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

freebsd-net-tools_7.2-1_kfreebsd-i386.deb
  to pool/main/f/freebsd-utils/freebsd-net-tools_7.2-1_kfreebsd-i386.deb
freebsd-utils_7.2-1.diff.gz
  to pool/main/f/freebsd-utils/freebsd-utils_7.2-1.diff.gz
freebsd-utils_7.2-1.dsc
  to pool/main/f/freebsd-utils/freebsd-utils_7.2-1.dsc
freebsd-utils_7.2-1_kfreebsd-i386.deb
  to pool/main/f/freebsd-utils/freebsd-utils_7.2-1_kfreebsd-i386.deb
freebsd-utils_7.2.orig.tar.gz
  to pool/main/f/freebsd-utils/freebsd-utils_7.2.orig.tar.gz
kbdcontrol_7.2-1_kfreebsd-i386.deb
  to pool/main/f/freebsd-utils/kbdcontrol_7.2-1_kfreebsd-i386.deb
kldutils_7.2-1_kfreebsd-i386.deb
  to pool/main/f/freebsd-utils/kldutils_7.2-1_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 526768@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Jun 2009 22:57:19 +0200
Source: freebsd-utils
Binary: freebsd-utils kldutils kbdcontrol freebsd-net-tools
Architecture: source kfreebsd-i386
Version: 7.2-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 freebsd-net-tools - FreeBSD networking tools
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kldutils   - tools for managing kFreeBSD modules
Closes: 526768 527361 527578 527915 528574 528702 529226 529639 529758 529792 529922 530276
Changes: 
 freebsd-utils (7.2-1) unstable; urgency=low
 .
   [ Petr Salinger ]
   * Based on FreeBSD 7.2.
   * add Vcs-* fields into debian/control.
 .
   [ Christian Perrier ]
   * Debconf templates and debian/control reviewed by the debian-l10n-
     english team as part of the Smith review project. Closes: #526768
   * [Debconf translation updates]
     - Czech. Closes: #527361,#527578
     - Galician. Closes: #527915
     - Swedish. Closes: #528574
     - Portuguese. Closes: #528702
     - German. Closes: #529758
     - French. Closes: #529792
     - Spanish. Closes: #529226
     - Russian. Closes: #529639
     - Basque. Closes: #529922
     - Finnish. Closes: #530276
 .
   [ Aurelien Jarno ]
   * freebsd-utils.init: create /sys if it doesn't exists.
   * Use SVN server instead of the deprecated CVS server in get-orig-source.
Checksums-Sha1: 
 e8c23ecbe8e4656cd63ddf8051d9c0263dfd3331 1533 freebsd-utils_7.2-1.dsc
 ab1771d350d9478d13683a677c357a4905d07bb3 1390267 freebsd-utils_7.2.orig.tar.gz
 d8e62d21bf0a4dcd8ac5f2d8b90c0c8887f8530b 48207 freebsd-utils_7.2-1.diff.gz
 551f33b23efcabe5ba28df3fde53b454909128f8 130166 freebsd-utils_7.2-1_kfreebsd-i386.deb
 f53ae891812f5bbf30c3beee3eb019379a0ad7d5 38336 kldutils_7.2-1_kfreebsd-i386.deb
 896df4c398680700068f62ded5bea18257a7468f 100584 kbdcontrol_7.2-1_kfreebsd-i386.deb
 d9d94e1473c1183ccde164131644832de2b8abbf 244034 freebsd-net-tools_7.2-1_kfreebsd-i386.deb
Checksums-Sha256: 
 98e832da199ad12229de89322b85b84980ae0db4cc64efc4f699a6c5911b057d 1533 freebsd-utils_7.2-1.dsc
 fb5cf26520c0b9687d2c2faa8726b1ac5884f7ad4f4c92a5747fefb4d8eaae7f 1390267 freebsd-utils_7.2.orig.tar.gz
 acc85260c7d07b2c1fefaf7d2bcd515207b157f0a4ec8e1a5beb1cb34f3aa122 48207 freebsd-utils_7.2-1.diff.gz
 56132efd7a43278691219d06b6eed2f46628ea34cf7ecc0143f56d934b3bf232 130166 freebsd-utils_7.2-1_kfreebsd-i386.deb
 f225dda11702bf3fc11282a32e750b6762d86e84a930712488cc117cecf98f6d 38336 kldutils_7.2-1_kfreebsd-i386.deb
 799a4b33b44b1f8789273df18b2c2fedbf21bba72b2535599b5263e2a450ac08 100584 kbdcontrol_7.2-1_kfreebsd-i386.deb
 3956667fda0802be61bc078f2c94f23a5e2341d630058af73516fbfdb3a43b46 244034 freebsd-net-tools_7.2-1_kfreebsd-i386.deb
Files: 
 5cec41d7af0abf32d126339ed621bc07 1533 utils important freebsd-utils_7.2-1.dsc
 134ddcfd4bd41be43da21a3a7fc4e438 1390267 utils important freebsd-utils_7.2.orig.tar.gz
 6f7a8c6c3a7befb5a6e43dfcbb287fa9 48207 utils important freebsd-utils_7.2-1.diff.gz
 a7f5022f093a3434983ecede9556a0c3 130166 utils required freebsd-utils_7.2-1_kfreebsd-i386.deb
 14376edfbfd2dcbaf5723b4c8fdd967c 38336 utils important kldutils_7.2-1_kfreebsd-i386.deb
 83633b9f03528af3356bcd7bf6c3994d 100584 utils important kbdcontrol_7.2-1_kfreebsd-i386.deb
 3226b7fdf79ed9766eff3f2594a42e17 244034 net important freebsd-net-tools_7.2-1_kfreebsd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKNrZvw3ao2vG823MRAm9yAJ90a9B3A31aFq55AqHqY3MVqc3fHACbBCq5
kuqLirJjjfgcPi5qSv667EU=
=FqIe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jul 2009 07:31:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:04:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.